## Autogenerated files

Some files are autogenerated, and included in git so that the project
may be built with a naive `go get ...`.

These generated files can be regenerated with `make generate`, and the
updated generated files should also be included in the PR that
modified the input files.

### Clean up removed/unnecessary dependencies

This is a good one to run before sending a non-trivial change for
review.

```
make tidy
```

## Making a Release

1. Add appropriate tag.  We do this via git (not github UI) so the tag
   is signed.  This process requires you to have write access to the
   real master branch (not your local fork).
   ```
   % tag=vX.Y.Z
   % git fetch   # update
   % git tag -s -m $tag $tag origin/master
   % git push origin tag $tag
   ```

2. Wait for the travis autobuilders to build release binaries.

3. *Now* create the github release, using the existing tag created
   above.
